C API Functions

## udbLibraryCompare

### Description

Compare two library structures. Return a value suitable for typical comparison operations.

Currently only applies to Understand for Ada databases and only the "standard" Ada library is supported. Future versions of Understand will support libraries.

### Syntax

     #include "udb/udb.h"
     int  udbLibraryCompare(UdbLibrary lib1, UdbLibrary lib2)

### Arguments

Argument | description
UdbLibrary lib1 | The first library to compare
UdbLibrary lib2 | The second library to compare

### Return Values

Return Value | description
int | Returns: 0 if lib1 is the same as lib2 <0 if lib1 < lib2 >0 if lib1 > lib2

### Example Usage

     if (! udbLibraryCompare (lib1, lib2) ) {...}

### See Also

udbLibraryCheckEntity to check if an entity is in the specified library list.

udbLibraryList to get a filtered list of libraries.

udbLibraryName to get the name of a library.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com